Bug 7539 - event driven APIs should support minimal error escape handling
Summary: event driven APIs should support minimal error escape handling
Status: RESOLVED FIXED
Alias: None
Product: POI
Classification: Unclassified
Component: POI Overall (show other bugs)
Version: 2.0-dev
Hardware: Other other
: P3 normal (vote)
Target Milestone: ---
Assignee: POI Developers List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-03-27 20:57 UTC by Andy Oliver
Modified: 2004-11-16 19:05 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andy Oliver 2002-03-27 20:57:48 UTC
Event driven APIs such as POIFS's and HSSF's need error handling capability.  
Currently if an exception occurs in a listener it has no way of notifying the
caller of an error condition.  

I suggest the listener interface should contain a second method called
"getError" or so that returns a true or false.   This should be called once
after each listener call.  This is needed to support heterogeneous environments
where POI may be used to handle data that may not be valid.
Comment 1 Andy Oliver 2002-04-27 13:36:24 UTC
See patch from Carey Sublette recently applied against the head.
Comment 2 Andy Oliver 2002-04-27 13:36:42 UTC
See patch from Carey Sublette recently applied against the head.